<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<!--
 *     	  Copyright © 1997, 2011, Oracle and/or its affiliates. All rights reserved.  
 *	  Use is subject to license terms.
 -->
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<meta name="lastupdated" content="4Jul07">
<!-- p2 -->

<title>About Servlets</title>
<link rel="stylesheet" href="nbdocs://org.netbeans.modules.usersguide/org/netbeans/modules/usersguide/ide.css" type="text/css">
</head>

<body>

<h2>About Servlets</h2>
<p><small> 
<a href="#seealso">See Also</a> 
</small></p> 
<p>Servlets are server-side programs that give Java technology-enabled servers additional 
features. Servlets provide web developers with a simple, consistent mechanism 
for extending the features of a web server and for gaining access to existing 
business systems. In other words, servlets are programs written in the Java programming 
language that execute on the server. You can contrast servlets to Java programs 
written for the client browser, that is, applets. </p>
<p>Servlets are Java classes that can be loaded dynamically into a web server 
  and executed by a web server to extend its feature set. Servlets are useful 
  for tasks that involve processing an HTTP request. Servlets are also helpful 
  for tasks that do not generate an HTTP response at all or that generate a relatively 
  simple HTTP response. Servlets use the <tt>javax.servlet</tt> API. </p>
<p> JSP technology was designed to simplify 
  the process of creating servlets. In fact, the main function of servlets is to generate HTML 
output 
  in cases where dynamic portions can be encapsulated. Servlets are generated by JSP pages
   when compiled. In many applications, the 
  response sent to the client is a combination of template data and 
dynamically-generated 
  data. In this situation, it is often easier to work with JSP pages than to do 
  everything with servlets. </p>
  <p>For more information about servlet technology, see the <i>Java Servlet Technology Documentation</i> 
  available 
  at 
<p><object classid="java:org.netbeans.modules.javahelp.BrowserDisplayer">
         <param name="content" value="http://java.sun.com/products/servlet/docs.html">
         <param name="text" value="<html><u>http://java.sun.com/products/servlet/docs.html</u></html>">
         <param name="textFontSize" value="medium">
         <param name="textColor" value="blue">
</object></p>

<dl>
<dt><a name="seealso">See Also</a></dt>
<dd><a href="servlet_create.html">Creating a Servlet</a></dd>
<dd><a href="servlet_edit.html">Editing a Servlet</a></dd>
<dd><a href="../jsp/jsp_servletview.html">Viewing a JSP's Servlet</a></dd>
<dd><a href="bdocs://org.netbeans.modules.java.helpset/org/netbeans/modules/java/helpset/docs/persistence/general/persistence_webapp.html">Adding Java Persistence to a Web Application</a></dd>

</dl>
    
<hr>
<small><a href="../../../credits.html">Legal Notices</a></small> 
<table cellpadding="20" border="0"> 
<tr><td>&nbsp;</td></tr> 
<tr><td>&nbsp;</td></tr> 
<tr><td>&nbsp;</td></tr> 
</table> 


  </body>
</html>

